Subject: Re: building cross compiler from cygwin windows to linux: crti.o no such file or directory
From: [email-masked]
To: "mohanlal jangir" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 25 Nov 2003 18:48:24 +0800

oh,
create a link file for libgcc.a to correct directory, maybe in /usr/local/gnu/lib/gcc-3.3.1-3/gcc/

I am not sure which directory, you can try.
Regards              /)/)
                    (-.-)
Qinfeng Zhang

Optical Storage & Digital TV
Philips Research East Asia - Shanghai
38F Tower 1 office building
218 Tian Mu Xi Rd.
Shanghai, P.R.China 200070

Tel: (86-21) 6354 1088 Ext. 5356
Fax: (86-21) 6354 4954
Email: [email-masked]

                                                                                                                                                                 
                                                                                                                                                                 
                                                   To:   <[email-masked]>                                                                             
                                                   cc:   <[email-masked]>                                                                                     
                                                    <[email-masked]>                                                                                            
                                                   Subject:    Re: building cross compiler from cygwin windows to linux: crti.o no such file or directory        
               "mohanlal jangir"                                                                                                                                 
               <mohanlaljangir@hotmail.            Classification:                                                                                               
               com>                                                                                                                                              
                                                                                                                                                                 
               2003-11-25 18:38                                                                                                                                  

I tried this option. Seems to be work around for current problem, but new
problem is that it can not fine libc. The error message is
/usr/local/gnu/tools/host/i686-pc-cygwin//i686-pc-linux-gnu/bin/ld: cannot
find -lc
collect2: ld returned 1 exit status
make[2]: *** [libgcc_s.so] Error 1

>
> You try to  create a empty crt0.c file.
>
>
> cross-gcc crt0.c -c -o /usr/local/gnu/obj/gcc-3.3.1-3/gcc/crt0.o
>
>
>
> I am trying to build cross compiler from cygwin window to linux. I did
> configured and build binutils as follows:
> <source
>
dir>/binutils-2.14/configure --host=i686-pc-cygwin --target=i686-pc-linux-gn
> u --prefix=<tool dir>/host/i686-pc-cygwin  && make
>
> This worked well. Later I tried to compile gcc as follows:
>  <source
>
dir>/gcc-3.3.1-3/configure --host=i686-pc-cygwin --target=i686-pc-linux-gnu
>  --prefix=<tool dir>/host/i686-pc-cygwin --with-newlib --disable-threads
>
> This ended up in following error message:
> /usr/local/gnu/tools/host/i686-pc-cygwin/i686-pc-linux-gnu/bin/ld: cannot
> open crti.o: No such file or directory
> collect2: ld returned 1 exit status
> make[2]: *** [libgcc_s.so] Error 1
> make[2]: Leaving directory `/usr/local/gnu/obj/gcc-3.3.1-3/gcc'
> make[1]: *** [libgcc.a] Error 2
> make[1]: Leaving directory `/usr/local/gnu/obj/gcc-3.3.1-3/gcc'
> make: *** [all-gcc] Error 2
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/